## wxmaxima 18.10.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)

project(wxmaxima)

set(VERSION 18.10.0.unofficial)
set(PACKAGE_VERSION ${VERSION})
set(GITVERSION ${VERSION})
set(PACKAGE wxMaxima)

# Turn off many warnings wxWidgets triggers on MSVC
if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif()

# Set a default build type if none was specified
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to 'Debug' as none was specified.")
  set(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release"
    "MinSizeRel" "RelWithDebInfo")
endif()


if("${PROJECT_SOURCE_DIR}" STREQUAL "${PROJECT_BINARY_DIR}")
    message(WARNING "In-source builds are strongly discouraged. Please make an out-of-source-build instead (which means: run cmake and build the program from a different directory than the one the source package is in).")
endif()

# should the PDF doku be build from the texinfo source? (requires a TeX installation)
option(BUILD_PDF_DOCUMENTATION "Build the PDF documentation." NO)

# MacOSX version-min compiler settings
if(MACOSX_VERSION_MIN)
    message(STATUS "Compiling with min macosx version ${MACOSX_VERSION_MIN}")
    set(CMAKE_CXX_FLAGS -mmacosx-version-min=${MACOSX_VERSION_MIN})
    set(CMAKE_EXE_LINKER_FLAGS -mmacosx-version-min=${MACOSX_VERSION_MIN})
    set(CMAKE_CXX_FLAGS_DEBUG -mmacosx-version-min=${MACOSX_VERSION_MIN})
    set(CMAKE_EXE_LINKER_FLAGS_DEBUG -mmacosx-version-min=${MACOSX_VERSION_MIN})
endif()


# Get the git version, if available.
find_package(Git)
if(Git_FOUND)
    if(EXISTS "${CMAKE_SOURCE_DIR}/.git")
        execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
                        OUTPUT_VARIABLE WXMAXIMA_GIT_VERSION
                        OUTPUT_STRIP_TRAILING_WHITESPACE)
        message(STATUS "Building from git development tree, revision: ${WXMAXIMA_GIT_VERSION}")
        add_definitions("-DWXMAXIMA_GIT_VERSION=\"${WXMAXIMA_GIT_VERSION}\"")
    endif()
endif()


add_subdirectory(locales)
add_subdirectory(Doxygen)
add_subdirectory(data)
add_subdirectory(info)
add_subdirectory(src)

if(WIN32)
    install(FILES COPYING README README.md DESTINATION wxMaxima/doc)
    install(FILES test/testbench_simple.wxmx test/a.png test/b.png test/c.png test/d.png DESTINATION wxMaxima/data)
else()
    install(FILES COPYING README README.md DESTINATION share/wxMaxima)
    install(FILES test/testbench_simple.wxmx test/a.png test/b.png test/c.png test/d.png DESTINATION share/wxMaxima)
endif()


# allow local execution (./wxmaxima-local) from the build directory without installation
if(UNIX)
    file(COPY "${CMAKE_SOURCE_DIR}/src/wxmaxima-local" DESTINATION .)
endif()
# Build Packages
set(CPACK_GENERATOR "TGZ;TBZ2")
if(UNIX AND NOT APPLE)
    list(APPEND CPACK_GENERATOR "DEB") # Don't build DEB packages on MacOS
endif()

# build RPMs only if rpmbuild is installed
find_program(RPMBUILD_EXECUTABLE rpmbuild)
if(NOT RPMBUILD_EXECUTABLE)
    message(STATUS "rpmbuild not found - no RPM package will be build with make package.")
else()
    message(STATUS "rpmbuild found - RPM package can be build with make package.")
    list(APPEND  CPACK_GENERATOR "RPM")
endif()



set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "wxMaxima is a GUI for the CAS Maxima")
set(CPACK_PACKAGE_VENDOR "The wxMaxima Team")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set(CPACK_PACKAGE_CONTACT "The wxMaxima Team <wxmaxima-devel@lists.sourceforge.net>")
set(CPACK_PACKAGE_SECTION "science")
set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/data/wxmaxima.png")
set(CPACK_PACKAGE_VERSION "${VERSION}")


set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
set(CPACK_DEBIAN_PACKAGE_DEPENDS "maxima, maxima-doc")
set(CPACK_DEBIAN_PACKAGE_SUGGESTS "jsmath-fonts")

set(CPACK_RPM_PACKAGE_SUGGESTS "jsmath-fonts")

# Build a tarball
set(CPACK_SOURCE_IGNORE_FILES
  "build/"
  ".git/"
  ".gitignore"
  ".gitattributes"
  "Doxygen/html/"
  "\\\\.gmo$"
  "\\\\.mo$"
  "~$"
  "CPackConfig.cmake"
  "CPackSourceConfig.cmake"
  "CMakeCache.txt"
  "CMakeFiles"
  "_CPack_Packages"
  "wxmaxima-.*\\\\.tgz$"
  "wxmaxima-.*\\\\.deb$"
  "wxmaxima-.*\\\\.rpm$"
  "wxmaxima-.*\\\\.bz2$"
  "wxmaxima-.*\\\\.xz$"
  "wxmaxima-.*\\\\.Z$"
  "wxmaxima-.*\\\\.gz$"
  "${CPACK_SOURCE_IGNORE_FILES}")

add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

# Debian wants to be able to download a signature of the source package from the
# project's download directory. If it cannot find it it will still work, but will
# issue a warning. For details see
# https://lintian.debian.org/tags/debian-watch-may-check-gpg-signature.html
find_program(gpg NAMES gpg pgp)
add_custom_target(gpg DEPENDS dist
  COMMAND ${gpg} --armor --detach-sign ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.bz2
  COMMAND ${gpg} --armor --detach-sign ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz
  COMMAND ${gpg} --armor --detach-sign ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.xz
  COMMAND ${gpg} --armor --detach-sign ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.Z)


add_custom_target(checksums
    ${CMAKE_COMMAND} -DVERSION=${VERSION} -DCMAKE_SYSTEM_NAME=${CMAKE_SYSTEM_NAME} -P ${CMAKE_SOURCE_DIR}/checksums.cmake)

include(CPack)

=== src/CMakeLists.txt ===
find_package(wxWidgets REQUIRED std xml html adv aui core net base richtext)

include(${wxWidgets_USE_FILE})

file(GLOB SOURCE_FILES *.cpp *.h)


if(WIN32)
    include_directories(${CMAKE_SOURCE_DIR}/data/winrc)
    set(SOURCE_FILES Resources.rc ../data/winrc/wxmaxima.manifest ${SOURCE_FILES})
endif()

# We put Version.h into binary dir
include_directories("${CMAKE_CURRENT_BINARY_DIR}")

# OSX binary folders
if(APPLE)
  # DEFINE FILES
  file(GLOB RESOURCES_FILES
    ${CMAKE_BINARY_DIR}/data/wxmathml.lisp
    ${CMAKE_SOURCE_DIR}/test/testbench_simple.wxmx
    ${CMAKE_SOURCE_DIR}/data/wxmaxima.png
    ${CMAKE_SOURCE_DIR}/data/wxmaxima.svg)
  file(GLOB RESOURCES_FILES_OSX
    ${CMAKE_SOURCE_DIR}/art/wxmac.icns
    ${CMAKE_SOURCE_DIR}/art/wxmac-doc.icns
    ${CMAKE_SOURCE_DIR}/art/wxmac-doc-wxm.icns
    ${CMAKE_SOURCE_DIR}/art/wxmac-doc-wxmx.icns)
  file(GLOB HELP_FILES
    ${CMAKE_SOURCE_DIR}/info/*.html
    ${CMAKE_SOURCE_DIR}/info/*.jpg
    ${CMAKE_SOURCE_DIR}/info/*.png
    ${CMAKE_SOURCE_DIR}/info/*.hhp)
  file(GLOB CONTENT_FILES
    ${CMAKE_BINARY_DIR}/data/Info.plist
    ${CMAKE_SOURCE_DIR}/data/PkgInfo)
  file(GLOB FONT_FILES
    ${CMAKE_SOURCE_DIR}/data/fonts/*.ttf)
    # DEFINE DIRECTORIES
    set(APP_DIR ${CMAKE_BINARY_DIR}/wxMaxima.app/Contents)
    set(APP_MACOSX_DIR ${APP_DIR}/MacOS)
    set(APP_RESOURCES_DIR ${APP_DIR}/Resources)
    set(APP_HELP_DIR ${APP_RESOURCES_DIR}/help)
    set(APP_FONTS_DIR ${APP_RESOURCES_DIR}/fonts)
    # CUSTOM TARGET
    add_custom_target(wxMaxima.app)
    add_custom_command(TARGET wxMaxima.app PRE_BUILD
      COMMAND ${CMAKE_COMMAND} -E make_directory ${APP_MACOSX_DIR})
    add_custom_command(TARGET wxMaxima.app PRE_BUILD
      COMMAND ${CMAKE_COMMAND} -E make_directory ${APP_HELP_DIR})
    add_custom_command(TARGET wxMaxima.app
      COMMAND ${CMAKE_COMMAND} -E make_directory ${APP_FONTS_DIR})
    foreach(f ${CONTENT_FILES})
      add_custom_command(TARGET wxMaxima.app
        COMMAND ${CMAKE_COMMAND} -E copy ${f}  ${APP_DIR})
    endforeach()
    foreach(f ${RESOURCES_FILES})
      add_custom_command(TARGET wxMaxima.app
        COMMAND ${CMAKE_COMMAND} -E copy ${f}  ${APP_RESOURCES_DIR})
    endforeach()
    foreach(f ${RESOURCES_FILES_OSX})
      add_custom_command(TARGET wxMaxima.app
        COMMAND ${CMAKE_COMMAND} -E copy ${f}  ${APP_RESOURCES_DIR})
    endforeach()
    foreach(f ${HELP_FILES})
      add_custom_command(TARGET wxMaxima.app
        COMMAND ${CMAKE_COMMAND} -E copy ${f}  ${APP_HELP_DIR})
    endforeach()
    foreach(f ${FONT_FILES})
      add_custom_command(TARGET wxMaxima.app
        COMMAND ${CMAKE_COMMAND} -E copy ${f} ${APP_FONTS_DIR})
    endforeach()
endif()

if(WIN32)
    add_executable(wxmaxima WIN32 ${SOURCE_FILES})
elseif(APPLE)
    add_executable(wxmaxima ${SOURCE_FILES})
    set_target_properties(wxmaxima PROPERTIES
              RUNTIME_OUTPUT_DIRECTORY_DEBUG   ${CMAKE_BINARY_DIR}/wxMaxima.app/Contents/MacOS
              RUNTIME_OUTPUT_DIRECTORY_RELEASE ${CMAKE_BINARY_DIR}/wxMaxima.app/Contents/MacOS
              MACOSX_BUNDLE_INFO_PLIST ${CMAKE_BINARY_DIR}/Info.plist
              RESOURCE "${ALLRERESOURCES}"
              )
    # make wxmathml.lisp ship with the Mac App
    add_dependencies(wxmaxima wxMaxima.app)
else()
    add_executable(wxmaxima ${SOURCE_FILES})
endif()

target_link_libraries(wxmaxima ${wxWidgets_LIBRARIES})

include(CheckIncludeFiles)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Version.h.cin ${CMAKE_CURRENT_BINARY_DIR}/Version.h)

if(WIN32)
    install(TARGETS wxmaxima RUNTIME DESTINATION wxMaxima)
else()
    install(TARGETS wxmaxima RUNTIME DESTINATION bin)
endif()

=== debian/changelog ===
wxmaxima (18.10.2-1) unstable; urgency=medium

  * A new upstream version that comes with many bugfixes, features and
    performance improvements.
  * Updated the Homepage and the main upstream contact of the program.
  * Dropped all the patches as they are incorporated in the new upstream
  * release.
  * Raised the debhelper compatibility level (and min version) to 11
  * debian info: Promoted several URLs from http to https
  * debian packaging: Removed the unneeded get-orig-source target.
  * debian packaging: Added an vcs-browser field.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Mon, 22 Oct 2018 08:12:36 +0100

=== debian/control ===
Source: wxmaxima
Section: math
Priority: optional
Maintainer: Gunter Königsmann <wxmaxima@physikbuch.de>
Build-Depends: debhelper (>= 11), cmake, libwxgtk3.0-dev, gettext
Standards-Version: 4.2.1
Vcs-Git: https://github.com/wxMaxima-developers/wxmaxima.git -b DebianPackaging
Vcs-Browser: https://github.com/wxMaxima-developers/wxmaxima
Homepage: https://wxMaxima-developers.github.com/wxmaxima/

Package: wxmaxima
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-gtk3, maxima
Recommends: maxima-doc
Suggests: fonts-jsmath, texlive-latex-extra
Description: GUI for the computer algebra system Maxima
 wxMaxima is a graphical user interface for the computer algebra system
 Maxima. It eases the use of Maxima by making most of its commands available
 through a menu system and by providing input dialogs for commands that
 require more than one argument. It also implements its own display engine
 that outputs mathematical symbols directly instead of depicting them with
 ASCII characters.
 .
 wxMaxima also features 2D and 3D inline plots, simple animations, mixing of
 text and mathematical calculations to create documents, exporting of input
 and output to TeX, and a browser for Maxima's manual including command index
 and full text searching.

=== debian/watch ===
version=4
https://github.com/wxMaxima-developers/wxmaxima/tags .*/Version-(\d{2}.\d{2}.\d|\d{2}.\d.\d).tar.gz

## wxmaxima 18.11.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,20 @@
-cmake_minimum_required(VERSION 3.4)
-
 project(wxmaxima)
-
-set(VERSION 18.10.0.unofficial)
+set(VERSION 18.11.1)
 set(PACKAGE_VERSION ${VERSION})
 set(GITVERSION ${VERSION})
 set(PACKAGE wxMaxima)
+
+#SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pg")
+#SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pg")
+#SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -pg")
+
+# Avoid a warning by deciding which version of this policy we use in case we can
+# decide this.
+if(POLICY CMP0066)
+   cmake_policy(SET CMP0066 NEW)
+endif()
+
+cmake_minimum_required(VERSION 3.4)
 
 # Turn off many warnings wxWidgets triggers on MSVC
 if(MSVC)

=== data/CMakeLists.txt ===
if(APPLE)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.in ${CMAKE_CURRENT_BINARY_DIR}/Info.plist)
endif()

set(DATAFILES
        ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.png
        ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.svg)

set(PIXMAPS
        ${CMAKE_CURRENT_SOURCE_DIR}/text-x-wxmathml.svg
        ${CMAKE_CURRENT_SOURCE_DIR}/text-x-wxmaxima-batch.svg
        ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima-16.xpm
        ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.png
        ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.svg
        ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima-32.xpm)

if(WIN32)
    add_subdirectory(fonts)
    install(FILES ${DATAFILES} DESTINATION wxMaxima/data)
else()
    install(FILES ${DATAFILES}                                     DESTINATION share/wxMaxima)
    install(FILES ${PIXMAPS}                                       DESTINATION share/pixmaps)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima             DESTINATION share/bash-completion/completions)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.1           DESTINATION share/man/man1)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/wxMaxima.appdata.xml DESTINATION share/metainfo)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/wxMaxima.desktop     DESTINATION share/applications)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/x-wxmathml.xml       DESTINATION share/mime/packages)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/x-wxmaxima-batch.xml DESTINATION share/mime/packages)
endif()

# allow local execution (./wxmaxima-local) from the build directory without installation
if(UNIX)
    file(COPY ${DATAFILES} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
endif()

=== info/CMakeLists.txt ===
file(GLOB WXMAXIMA_HELP_FILES *.jpg *.png *.html)

#find_program(MAKEINFO makeinfo)
#if(NOT MAKEINFO)
#    message(WARNING "Makeinfo not found. Old wxmaxima.html will be installed.")
#else()
#    message(STATUS "Makeinfo found at ${MAKEINFO}")
#    add_custom_command(OUTPUT "wxmaxima.info"
#        COMMAND ${MAKEINFO} -o wxmaxima.info --no-split ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.texi)
#    add_custom_target(wxmaxima.info ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/wxmaxima.info)
#    # where should the info file be installed? Is it used anywhere?
#
#    add_custom_command(OUTPUT "wxmaxima.html"
#        COMMAND ${MAKEINFO} -o wxmaxima.html --html --force --no-split ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.texi)
#    add_custom_target(wxmaxima.html ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/wxmaxima.html)
#    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/wxmaxima.html DESTINATION share/doc/wxmaxima)
#
#    if(BUILD_PDF_DOCUMENTATION)
#        add_custom_command(OUTPUT "wxmaxima.pdf"
#            COMMAND ${MAKEINFO} -o wxmaxima.pdf --pdf --force --no-split ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.texi)
#        add_custom_target(wxmaxima.pdf  ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/wxmaxima.pdf)
#        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/wxmaxima.pdf DESTINATION share/doc/wxmaxima)
#    endif()
#endif()

if(WIN32)
    install(FILES ${WXMAXIMA_HELP_FILES} DESTINATION wxMaxima/help)
else()
    install(FILES ${WXMAXIMA_HELP_FILES} DESTINATION share/doc/wxmaxima)
endif()

# allow local execution (./wxmaxima-local) from the build directory without installation
if(UNIX)
    file(COPY ${WXMAXIMA_HELP_FILES} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 if(WIN32)
     include_directories(${CMAKE_SOURCE_DIR}/data/winrc)
-    set(SOURCE_FILES Resources.rc ../data/winrc/wxmaxima.manifest ${SOURCE_FILES})
+    set(SOURCE_FILES Resources.rc ${SOURCE_FILES})
 endif()
 
 # We put Version.h into binary dir

## wxmaxima 19.01.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(wxmaxima)
-set(VERSION 18.11.1)
+set(VERSION 19.01.2x)
 set(PACKAGE_VERSION ${VERSION})
 set(GITVERSION ${VERSION})
 set(PACKAGE wxMaxima)
@@ -11,7 +11,7 @@
 # Avoid a warning by deciding which version of this policy we use in case we can
 # decide this.
 if(POLICY CMP0066)
-   cmake_policy(SET CMP0066 NEW)
+    cmake_policy(SET CMP0066 NEW)
 endif()
 
 cmake_minimum_required(VERSION 3.4)
@@ -41,10 +41,10 @@
 # MacOSX version-min compiler settings
 if(MACOSX_VERSION_MIN)
     message(STATUS "Compiling with min macosx version ${MACOSX_VERSION_MIN}")
-    set(CMAKE_CXX_FLAGS -mmacosx-version-min=${MACOSX_VERSION_MIN})
-    set(CMAKE_EXE_LINKER_FLAGS -mmacosx-version-min=${MACOSX_VERSION_MIN})
-    set(CMAKE_CXX_FLAGS_DEBUG -mmacosx-version-min=${MACOSX_VERSION_MIN})
-    set(CMAKE_EXE_LINKER_FLAGS_DEBUG -mmacosx-version-min=${MACOSX_VERSION_MIN})
+    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -mmacosx-version-min=${MACOSX_VERSION_MIN}")
+    set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_LINKER_FLAGS_DEBUG} -mmacosx-version-min=${MACOSX_VERSION_MIN}")
+    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -mmacosx-version-min=${MACOSX_VERSION_MIN}")
+    set(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_LINKER_FLAGS_RELEASE} -mmacosx-version-min=${MACOSX_VERSION_MIN}")
 endif()
 
 
@@ -53,6 +53,7 @@
 if(Git_FOUND)
     if(EXISTS "${CMAKE_SOURCE_DIR}/.git")
         execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
+                        WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
                         OUTPUT_VARIABLE WXMAXIMA_GIT_VERSION
                         OUTPUT_STRIP_TRAILING_WHITESPACE)
         message(STATUS "Building from git development tree, revision: ${WXMAXIMA_GIT_VERSION}")
@@ -104,7 +105,7 @@
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
 set(CPACK_PACKAGE_CONTACT "The wxMaxima Team <wxmaxima-devel@lists.sourceforge.net>")
 set(CPACK_PACKAGE_SECTION "science")
-set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/data/wxmaxima.png")
+set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/data/io.github.wxmaxima_developers.wxMaxima.png")
 set(CPACK_PACKAGE_VERSION "${VERSION}")

=== data/CMakeLists.txt ===
if(APPLE)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.in ${CMAKE_CURRENT_BINARY_DIR}/Info.plist)
endif()

set(DATAFILES
        ${CMAKE_CURRENT_SOURCE_DIR}/io.github.wxmaxima_developers.wxMaxima.png
        ${CMAKE_CURRENT_SOURCE_DIR}/io.github.wxmaxima_developers.wxMaxima.svg)

set(PIXMAPS
        ${CMAKE_CURRENT_SOURCE_DIR}/text-x-wxmathml.svg
        ${CMAKE_CURRENT_SOURCE_DIR}/text-x-wxmaxima-batch.svg
        ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima-16.xpm
        ${CMAKE_CURRENT_SOURCE_DIR}/io.github.wxmaxima_developers.wxMaxima.png
        ${CMAKE_CURRENT_SOURCE_DIR}/io.github.wxmaxima_developers.wxMaxima.svg
        ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima-32.xpm)

if(WIN32)
    add_subdirectory(fonts)
    add_subdirectory(winrc)
    install(FILES ${DATAFILES} DESTINATION wxMaxima/data)
else()
    install(FILES ${DATAFILES}                                                                   DESTINATION share/wxMaxima)
    install(FILES ${PIXMAPS}                                                                     DESTINATION share/pixmaps)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima                                           DESTINATION share/bash-completion/completions)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.1                                         DESTINATION share/man/man1)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/io.github.wxmaxima_developers.wxMaxima.appdata.xml DESTINATION share/metainfo)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/io.github.wxmaxima_developers.wxMaxima.desktop     DESTINATION share/applications)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/x-wxmathml.xml                                     DESTINATION share/mime/packages)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/x-wxmaxima-batch.xml                               DESTINATION share/mime/packages)
endif()

# allow local execution (./wxmaxima-local) from the build directory without installation
if(UNIX)
    file(COPY ${DATAFILES} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
endif()

=== info/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-file(GLOB WXMAXIMA_HELP_FILES *.jpg *.png *.html)
+file(GLOB WXMAXIMA_HELP_FILES *.jpg *.png *.html *.hhp)
 
 #find_program(MAKEINFO makeinfo)
 #if(NOT MAKEINFO)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,24 @@
-find_package(wxWidgets REQUIRED std xml html adv aui core net base richtext)
+find_package(wxWidgets 3 REQUIRED std xml html adv aui core net base richtext)
 
 include(${wxWidgets_USE_FILE})
 
 file(GLOB SOURCE_FILES *.cpp *.h)
 
+# We provide our own manifest. MSVC seems not to autodetect that.
+if(MSVC)
+  message(STATUS "MSVC detected => Trying to disable the inclusion of the automatic manifest.")
+  set(CMAKE_EXE_LINKER_FLAGS_RELEASE    "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /MANIFEST:NO")
+  set(CMAKE_MODULE_LINKER_FLAGS_RELEASE "${CMAKE_MODULE_LINKER_FLAGS_RELEASE} /MANIFEST:NO")
+  set(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} /MANIFEST:NO")
+  set(CMAKE_EXE_LINKER_FLAGS_DEBUG    "${CMAKE_EXE_LINKER_FLAGS_DEBUG} /MANIFEST:NO")
+  set(CMAKE_MODULE_LINKER_FLAGS_DEBUG "${CMAKE_MODULE_LINKER_FLAGS_DEBUG} /MANIFEST:NO")
+  set(CMAKE_SHARED_LINKER_FLAGS_DEBUG "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} /MANIFEST:NO")
+endif()
 
+# Include our Resources file that contains our manifest
 if(WIN32)
-    include_directories(${CMAKE_SOURCE_DIR}/data/winrc)
-    set(SOURCE_FILES Resources.rc ${SOURCE_FILES})
+  include_directories(${CMAKE_SOURCE_DIR}/data/winrc)
+  set(SOURCE_FILES Resources.rc ${SOURCE_FILES})
 endif()
 
 # We put Version.h into binary dir
@@ -19,8 +30,8 @@
   file(GLOB RESOURCES_FILES
     ${CMAKE_BINARY_DIR}/data/wxmathml.lisp
     ${CMAKE_SOURCE_DIR}/test/testbench_simple.wxmx
-    ${CMAKE_SOURCE_DIR}/data/wxmaxima.png
-    ${CMAKE_SOURCE_DIR}/data/wxmaxima.svg)
+    ${CMAKE_SOURCE_DIR}/data/io.github.wxmaxima_developers.wxMaxima.png
+    ${CMAKE_SOURCE_DIR}/data/io.github.wxmaxima_developers.wxMaxima.svg)
   file(GLOB RESOURCES_FILES_OSX
     ${CMAKE_SOURCE_DIR}/art/wxmac.icns
     ${CMAKE_SOURCE_DIR}/art/wxmac-doc.icns
@@ -71,7 +82,7 @@
         COMMAND ${CMAKE_COMMAND} -E copy ${f} ${APP_FONTS_DIR})
     endforeach()
 endif()
-
+ 
 if(WIN32)
     add_executable(wxmaxima WIN32 ${SOURCE_FILES})
 elseif(APPLE)

=== debian/changelog ===
wxmaxima (19.01.2-1) unstable; urgency=medium

  * A new upstream version that mainly corrects cell heights.
  * Updated debian/compat and the respective dependency in debian/control
  * Re-exported the signing key in order to silence a lintian warning
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sun, 13 Jan 2019 13:10:36 +0100

wxmaxima (18.12.0-1) unstable; urgency=medium

  * A new upstream version that provides many bugfixes and big
    performance improvements.
  * Added uscan rule and gpg signature for verifying the tarball integrity
  * Added an debian/upstream/metadata file
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Mon, 24 Dec 2018 23:37:36 +0100

wxmaxima (18.11.4-1) unstable; urgency=medium

  * A new upstream version that comes with many bugfixes and
    performance improvements.
  * Corrected the homepage field.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Mon, 26 Nov 2018 07:56:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Gunter Königsmann <wxmaxima@physikbuch.de>
-Build-Depends: debhelper (>= 11), cmake, libwxgtk3.0-dev, gettext
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 12), cmake, libwxgtk3.0-dev, gettext
+Standards-Version: 4.3.0
 Vcs-Git: https://github.com/wxMaxima-developers/wxmaxima.git -b DebianPackaging
 Vcs-Browser: https://github.com/wxMaxima-developers/wxmaxima
-Homepage: https://wxMaxima-developers.github.com/wxmaxima/
+Homepage: http://wxmaxima-developers.github.io/wxmaxima/
 
 Package: wxmaxima
 Architecture: any

## wxmaxima 19.07.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(wxmaxima)
-set(VERSION 19.01.2x)
+set(VERSION 19.07.0)
 set(PACKAGE_VERSION ${VERSION})
 set(GITVERSION ${VERSION})
 set(PACKAGE wxMaxima)
@@ -47,7 +47,6 @@
     set(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_LINKER_FLAGS_RELEASE} -mmacosx-version-min=${MACOSX_VERSION_MIN}")
 endif()
 
-
 # Get the git version, if available.
 find_package(Git)
 if(Git_FOUND)
@@ -70,16 +69,14 @@
 
 if(WIN32)
     install(FILES COPYING README README.md DESTINATION wxMaxima/doc)
-    install(FILES test/testbench_simple.wxmx test/a.png test/b.png test/c.png test/d.png DESTINATION wxMaxima/data)
 else()
     install(FILES COPYING README README.md DESTINATION share/wxMaxima)
-    install(FILES test/testbench_simple.wxmx test/a.png test/b.png test/c.png test/d.png DESTINATION share/wxMaxima)
 endif()
 
 
 # allow local execution (./wxmaxima-local) from the build directory without installation
 if(UNIX)
-    file(COPY "${CMAKE_SOURCE_DIR}/src/wxmaxima-local" DESTINATION .)
+    configure_file("${CMAKE_SOURCE_DIR}/src/wxmaxima-local" wxmaxima-local)
 endif()
 # Build Packages
 set(CPACK_GENERATOR "TGZ;TBZ2")
@@ -157,3 +154,6 @@
     ${CMAKE_COMMAND} -DVERSION=${VERSION} -DCMAKE_SYSTEM_NAME=${CMAKE_SYSTEM_NAME} -P ${CMAKE_SOURCE_DIR}/checksums.cmake)
 
 include(CPack)
+
+enable_testing()
+add_subdirectory(test)

=== Doxygen/CMakeLists.txt ===
find_package(Doxygen)

if(DOXYGEN_FOUND)
    # maybe these string commands may be changed to configure_file
    file(READ ${CMAKE_SOURCE_DIR}/Doxygen/Doxyfile DOXYFILE)
    file(COPY ${CMAKE_SOURCE_DIR}/Doxygen/wxMaxima.gif DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/html/)
    string(REPLACE "@HAVE_GRAPHVIZ@" "${DOXYGEN_DOT_FOUND}" DOXYFILE "${DOXYFILE}")
    string(REPLACE "@SRCDIR@" "${CMAKE_SOURCE_DIR}/Doxygen" DOXYFILE "${DOXYFILE}")
    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.real "${DOXYFILE}")
    message(STATUS "Copied and patched ${CMAKE_SOURCE_DIR}/Doxygen/Doxyfile to ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.real")
    # html should probably be renamed to 'doxygen', 'sourcedocumentation' or something like that
    add_custom_target(html
        COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile.real)
else()
    message(STATUS "Doxygen not found. Source documentation will not be build.")
endif()

=== info/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-file(GLOB WXMAXIMA_HELP_FILES *.jpg *.png *.html *.hhp)
+file(GLOB WXMAXIMA_HELP_FILES *.jpg *.png *.html *.hhp *.pdf)
 
 #find_program(MAKEINFO makeinfo)
 #if(NOT MAKEINFO)

=== locales/CMakeLists.txt ===
find_package(Gettext)

# which languages are supported?
file(GLOB TRANSLATION_FILES *.po)

# which sourcecode and data files can contain translatable text?
file(GLOB POT_SOURCE_FILES ${CMAKE_SOURCE_DIR}/src/*.cpp ${CMAKE_SOURCE_DIR}/src/*.h)

if(GETTEXT_FOUND)
    find_program(XGETTEXT xgettext)
    # generate a wxMaxima.pot in the build dir - don't touch the existing source (for now)
    # if that is okay, one may copy it to the source dir.
    # Currently the full source paths are used in the comments.
    message(STATUS "Create POT-file from current sourcecode")
    execute_process(
        COMMAND ${XGETTEXT} -C -k_ -s -o "wxMaxima.pot" ${POT_SOURCE_FILES})

    foreach(POFILE ${TRANSLATION_FILES})
        string(REGEX REPLACE ".*locales/(.*).po$" "\\1" LANG ${POFILE})

        # convert the po to mo files and install them
        # (FIXME: different destination directories on Windows and Unix, should probably be unified.)
        gettext_process_po_files(${LANG} ALL PO_FILES ${POFILE})
        if(WIN32)
            install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo"
                    DESTINATION "wxMaxima/locale/${LANG}/LC_MESSAGES/"
                    RENAME "wxMaxima.mo")
        else()
            install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo"
                    DESTINATION "share/locale/${LANG}/LC_MESSAGES/"
                    RENAME "wxMaxima.mo")

            # 'install' message files in the directory "${CMAKE_BINARY_DIR}/locale/..."
            # too (at build time, not at install time), so that running ./wxmaxima-local
            # (without installing it) can find the message files and i18n works.
            file(MAKE_DIRECTORY "${CMAKE_BINARY_DIR}/locale/${LANG}")
            add_custom_target(build-locale-${LANG} ALL
                DEPENDS pofiles
                COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo" "${CMAKE_BINARY_DIR}/locale/${LANG}/LC_MESSAGES/wxMaxima.mo")
        endif()
        # Call msgmerge for each language and create a merged language file
        message(STATUS "Create PO-file for language ${LANG}")
        execute_process(
            COMMAND ${GETTEXT_MSGMERGE_EXECUTABLE} -N ${CMAKE_SOURCE_DIR}/locales/${LANG}.po ${CMAKE_BINARY_DIR}/wxMaxima.pot
            OUTPUT_FILE "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po.new"
            ERROR_QUIET)
        file(RENAME "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po.new" "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po")
    endforeach()
    message(STATUS "The new POT and PO files were generated in the build directory.")
    message(STATUS "Call 'make update-locale' to modify the wxMaxima sourcecode.")


    file(GLOB NEW_PO_FILES "${CMAKE_BINARY_DIR}/locales/*.po")

    add_custom_target(update-locale
        COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_BINARY_DIR}/wxMaxima.pot" "${CMAKE_SOURCE_DIR}/locales/wxMaxima.pot"
        COMMAND ${CMAKE_COMMAND} -E copy "*.po" "${CMAKE_SOURCE_DIR}/locales/"
        COMMENT "Installing wxMaxima.pot and po-files in the source directory ${CMAKE_SOURCE_DIR}/locales")
else()
    message(STATUS "Gettext not found - translations will be disabled")
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -82,7 +82,7 @@
         COMMAND ${CMAKE_COMMAND} -E copy ${f} ${APP_FONTS_DIR})
     endforeach()
 endif()
- 
+
 if(WIN32)
     add_executable(wxmaxima WIN32 ${SOURCE_FILES})
 elseif(APPLE)

=== test/CMakeLists.txt ===
file(GLOB TEST_FILES *.png *.wxmx)

if(WIN32)
    install(FILES ${TEST_FILES} DESTINATION wxMaxima/data)
else()
    install(FILES ${TEST_FILES} DESTINATION share/wxMaxima)
endif()
file(COPY ${TEST_FILES} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

find_program(XVFB xvfb-run)
if(XVFB)
    add_test(NAME wxmaxima_batch_textcell WORKING_DIRECTORY ${CMAKE_BINARY_DIR} COMMAND xvfb-run --auto-servernum ./wxmaxima-local --batch test/textcells.wxmx)
    add_test(NAME wxmaxima_batch_foreign_characters WORKING_DIRECTORY ${CMAKE_BINARY_DIR} COMMAND xvfb-run --auto-servernum ./wxmaxima-local --batch test/foreign-characters.wxmx)
    add_test(NAME wxmaxima_version_string WORKING_DIRECTORY ${CMAKE_BINARY_DIR} COMMAND xvfb-run --auto-servernum ./wxmaxima-local --version)
    set_tests_properties(wxmaxima_version_string PROPERTIES  PASS_REGULAR_EXPRESSION "wxMaxima ${VERSION}.*")
    add_test(NAME wxmaxima_version_returncode WORKING_DIRECTORY ${CMAKE_BINARY_DIR} COMMAND xvfb-run --auto-servernum ./wxmaxima-local --version)
    add_test(NAME wxmaxima_help WORKING_DIRECTORY ${CMAKE_BINARY_DIR}  COMMAND xvfb-run --auto-servernum ./wxmaxima-local --help)
    add_test(NAME all_celltypes WORKING_DIRECTORY ${CMAKE_BINARY_DIR} COMMAND xvfb-run --auto-servernum ./wxmaxima-local --batch test/testbench_all_celltypes.wxmx)
    add_test(NAME other_features WORKING_DIRECTORY ${CMAKE_BINARY_DIR} COMMAND xvfb-run --auto-servernum ./wxmaxima-local --batch test/other-features.wxmx)
    add_test(NAME misc_problematic_things WORKING_DIRECTORY ${CMAKE_BINARY_DIR} COMMAND xvfb-run --auto-servernum ./wxmaxima-local --batch test/misc-problematic-things.wxmx)
else()
    message(STATUS "xvfb not found => Not enabling the tests.")
endif()

=== data/fonts/CMakeLists.txt ===
file(GLOB fontfiles ${CMAKE_CURRENT_SOURCE_DIR}/*.ttf)

# need only be installed on Windows.
if(WIN32)
install(FILES ${fontfiles} DESTINATION wxMaxima/fonts)
endif()

=== data/winrc/CMakeLists.txt ===
set(RESSOURCES ${CMAKE_CURRENT_SOURCE_DIR}/wxmaxima.manifest)

# need only be installed on Windows.
if(WIN32)
    install(FILES ${RESSOURCES} DESTINATION wxMaxima)
endif()

=== debian/changelog ===
wxmaxima (19.07.0-1.1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:29:00 +0100

wxmaxima (19.07.0-1.1) unstable; urgency=medium

  * Non-maintainer upload with maintainers permission.
  * Update to build against GTK3 flavour of wxwidgets3.0. (Closes: #933429)

 -- Olly Betts <olly@survex.com>  Fri, 27 Sep 2019 09:06:45 +1200

wxmaxima (19.07.0-1) unstable; urgency=medium

  * A new upstream version.
  * ibus-gtk no longer is a hard requirement
  * Dropped all the patches as they have been upstreamed
  * The uscan receipe now specifies the .asc file URL more strictly
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Fri, 05 Jul 2019 09:00:36 +0100

wxmaxima (19.01.1-1) unstable; urgency=medium

  * A new upstream version that mainly corrects cell heights.
  * Re-exported the signing key in order to silence a lintian warning
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sun, 20 Jan 2019 10:58:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Gunter Königsmann <wxmaxima@physikbuch.de>
-Build-Depends: debhelper (>= 12), cmake, libwxgtk3.0-dev, gettext
+Build-Depends: debhelper (>= 11), cmake, libwxgtk3.0-gtk3-dev, gettext
 Standards-Version: 4.3.0
 Vcs-Git: https://github.com/wxMaxima-developers/wxmaxima.git -b DebianPackaging
 Vcs-Browser: https://github.com/wxMaxima-developers/wxmaxima
@@ -10,9 +10,9 @@
 
 Package: wxmaxima
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-gtk3, maxima
+Depends: ${shlibs:Depends}, ${misc:Depends}, maxima
 Recommends: maxima-doc
-Suggests: fonts-jsmath, texlive-latex-extra
+Suggests: fonts-jsmath, texlive-latex-extra, ibus-gtk3
 Description: GUI for the computer algebra system Maxima
  wxMaxima is a graphical user interface for the computer algebra system
  Maxima. It eases the use of Maxima by making most of its commands available

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DEB_CXXFLAGS_MAINT_APPEND = -Wall -DNDEBUG
export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake

override_dh_auto_build:
	dh_auto_build -- all

override_dh_auto_install:
	dh_auto_install
	rm debian/wxmaxima/usr/share/wxMaxima/COPYING

.PHONY: get-orig-source

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s#archive/(.*)\.tar\.gz#releases/download/$1/$1\.tar\.gz\.asc# \
    https://github.com/wxMaxima-developers/wxmaxima/tags .*/Version-(\d{2}.\d{2}.\d|\d{2}.\d.\d).tar.gz
